Bug 4869 - Non-staff patrons logging into the OPAC don't have option to place holds from Public Lists
Summary: Non-staff patrons logging into the OPAC don't have option to place holds from...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 18:56 UTC by Jane Wagner
Modified: 2012-10-25 22:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (7.70 KB, patch)
2010-06-10 18:15 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2010-06-09 18:56:50 UTC

    
Comment 1 Jane Wagner 2010-06-09 18:59:21 UTC
(dratted thing saved before I entered anything....)

Lists for the OPAC can be created as Public or Open.  If a list is created as Public, looking at the list in the OPAC doesn't give a normal patron login the option to place holds -- the checkboxes for placing holds on the list only appear if you're logged into the OPAC with an ID that has staff privileges.  Changing the list to Open allows holds (but also allows patrons to add/remove list contents).

Public lists should include the checkboxes for placing holds on titles in the list, provided holds in general are allowed.
Comment 2 Owen Leonard 2010-06-10 18:15:20 UTC
Created attachment 2240 [details] [review]
Proposed fix

The template was originally designed so that form controls were hidden from users who didn't have permission to modify a particular shelf  because the form controls were only used for deleting from lists. Now that users can place holds and add tags via the checkboxes, the controls must be available to all users.
Comment 3 Galen Charlton 2010-06-24 02:40:02 UTC
Patch pushed.  Please test and close.
Comment 4 Jane Wagner 2010-06-25 12:47:03 UTC
Seems to work fine, thanks!